// Copyright (c) 2022, JINGROW
// For license information, please see license.txt

jingrow.ui.form.on('Storage Integration Subscription', {
	// refresh: function(frm) {

	// }
	enabled(frm, cdt, cdn) {
		jingrow.call({
			method:
				'jcloud.jcloud.pagetype.storage_integration_subscription.storage_integration_subscription.toggle_user_status',
			args: {
				docname: frm.docname,
				status: frm.fields_dict.enabled.value,
			},
		});
	},
});
